- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDSVGGeneratorPrivate Struct Reference

## Public Member Functions
| VSDSVGGeneratorPrivate (VSDStringVector &vec, const WPXString &nmSpace)
void | setStyle (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &gradient)
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const ::WPXPropertyListVector &vertices, bool isClosed)
std::string const & | getNamespaceAndDelim () const
| return the namespace and the delimiter More...

## Public Attributes
::WPXPropertyListVector | m_gradient
::WPXPropertyList | m_style
int | m_gradientIndex
int | m_shadowIndex
int | m_patternIndex
| index uses when fill=bitmap More...
int | m_arrowStartIndex
| start arrow index More...
int | m_arrowEndIndex
| end arrow index More...
int | m_layerId
| layerId used if svg:id is not defined when calling startLayer More...
std::string | m_nmSpace
| a prefix used to define the svg namespace More...
std::string | m_nmSpaceAndDelim
| a prefix used to define the svg namespace with delimiter More...
std::ostringstream | m_outputSink
VSDStringVector & | m_vec

## Constructor & Destructor Documentation

libvisio::VSDSVGGeneratorPrivate::VSDSVGGeneratorPrivate | ( | VSDStringVector & | vec,
|  | const WPXString & | nmSpace
| ) |  |

## Member Function Documentation

void libvisio::VSDSVGGeneratorPrivate::drawPolySomething | ( | const ::WPXPropertyListVector & | vertices,
|  | bool | isClosed
| ) |  |

Referenced by libvisio::VSDSVGGenerator::drawPolygon(), and libvisio::VSDSVGGenerator::drawPolyline().

std::string const& libvisio::VSDSVGGeneratorPrivate::getNamespaceAndDelim | ( |  | ) | const
| inline

return the namespace and the delimiter

Referenced by libvisio::VSDSVGGenerator::drawEllipse(), libvisio::VSDSVGGenerator::drawGraphicObject(), libvisio::VSDSVGGenerator::drawPath(), drawPolySomething(), libvisio::VSDSVGGenerator::drawRectangle(), libvisio::VSDSVGGenerator::endGraphics(), libvisio::VSDSVGGenerator::endLayer(), libvisio::VSDSVGGenerator::endTextObject(), libvisio::VSDSVGGenerator::endTextSpan(), setStyle(), libvisio::VSDSVGGenerator::startGraphics(), libvisio::VSDSVGGenerator::startLayer(), libvisio::VSDSVGGenerator::startTextObject(), and libvisio::VSDSVGGenerator::startTextSpan().

void libvisio::VSDSVGGeneratorPrivate::setStyle | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | gradient
| ) |  |

Referenced by libvisio::VSDSVGGenerator::setStyle().

void libvisio::VSDSVGGeneratorPrivate::writeStyle | ( | bool | isClosed = `true` | ) |

Referenced by libvisio::VSDSVGGenerator::drawEllipse(), libvisio::VSDSVGGenerator::drawPath(), drawPolySomething(), and libvisio::VSDSVGGenerator::drawRectangle().

## Member Data Documentation

int libvisio::VSDSVGGeneratorPrivate::m_arrowEndIndex

end arrow index

Referenced by setStyle(), and writeStyle().

int libvisio::VSDSVGGeneratorPrivate::m_arrowStartIndex

start arrow index

Referenced by setStyle(), and writeStyle().

::WPXPropertyListVector libvisio::VSDSVGGeneratorPrivate::m_gradient

Referenced by setStyle().

int libvisio::VSDSVGGeneratorPrivate::m_gradientIndex

Referenced by setStyle(), and writeStyle().

int libvisio::VSDSVGGeneratorPrivate::m_layerId

layerId used if svg:id is not defined when calling startLayer

Referenced by libvisio::VSDSVGGenerator::startLayer().

std::string libvisio::VSDSVGGeneratorPrivate::m_nmSpace

a prefix used to define the svg namespace

Referenced by libvisio::VSDSVGGenerator::startGraphics(), and VSDSVGGeneratorPrivate().

std::string libvisio::VSDSVGGeneratorPrivate::m_nmSpaceAndDelim

a prefix used to define the svg namespace with delimiter

Referenced by getNamespaceAndDelim(), and VSDSVGGeneratorPrivate().

std::ostringstream libvisio::VSDSVGGeneratorPrivate::m_outputSink

Referenced by libvisio::VSDSVGGenerator::drawEllipse(), libvisio::VSDSVGGenerator::drawGraphicObject(), libvisio::VSDSVGGenerator::drawPath(), drawPolySomething(), libvisio::VSDSVGGenerator::drawRectangle(), libvisio::VSDSVGGenerator::endGraphics(), libvisio::VSDSVGGenerator::endLayer(), libvisio::VSDSVGGenerator::endTextObject(), libvisio::VSDSVGGenerator::endTextSpan(), libvisio::VSDSVGGenerator::insertText(), setStyle(), libvisio::VSDSVGGenerator::startGraphics(), libvisio::VSDSVGGenerator::startLayer(), libvisio::VSDSVGGenerator::startTextObject(), libvisio::VSDSVGGenerator::startTextSpan(), and writeStyle().

int libvisio::VSDSVGGeneratorPrivate::m_patternIndex

index uses when fill=bitmap

Referenced by setStyle(), and writeStyle().

int libvisio::VSDSVGGeneratorPrivate::m_shadowIndex

Referenced by setStyle(), and writeStyle().

::WPXPropertyList libvisio::VSDSVGGeneratorPrivate::m_style

Referenced by setStyle(), and writeStyle().

VSDStringVector& libvisio::VSDSVGGeneratorPrivate::m_vec

Referenced by libvisio::VSDSVGGenerator::endGraphics().

The documentation for this struct was generated from the following file:

- VSDSVGGenerator.cpp